Home > Error Cannot > Error Cannot Open /opt/freeware/packages/packages.rpm

Error Cannot Open /opt/freeware/packages/packages.rpm

Instead of making a virtual package, let's just install with --nodeps to ignore dependency-checking, $ rpm --root /home/prl2/toolbox -Uv coreutils*rpm --nodeps coreutils-5.0-1 unpacking of archive failed on file /opt/freeware/bin/basename: cpio: open Are you new to LinuxQuestions.org? From: David Clissold - 2004-10-21 01:20:56 Phil, This isn't going to be perfect for you, but I think it will at least get you what you want, which is making Table of contents Compatibility issue with the original AIX Toolbox for Linux Applications A solution to the RPM dependency hell problem I am getting an error message that a dependent module this contact form

Typically, the prompt changes from "$" to "#" when you get to root, although we don't know if you modified your prompt (PS1) settings. The people that support those systems, are very unlike to share any information, as it would most likely violate their security. If successful, you're going to need to control for the version of rpm used to install, as not all versions of rpm support concurrent access. Check for an rpm command running/defunct with a "ps -ef | grep -i rpm", and see what it tells you. dig this

The $ sign indicates a normal user. –Khaled Jan 13 '13 at 14:20 @dchirikov : I get lsof: WARNING: compiled for AIX version 5.1.0.0; this is 6.1.0.0. –gautam vegeta Developer does not see priority in git Development Workflow being followed GO OUT AND VOTE When booking a cruise, how can I find a list of all the fees in advance? Also all recent YUM versions require at least a RPM version >= 4.4.

  1. The time now is 02:05 PM.
  2. Let me see if I can think of something else –GeekRide Jan 13 '13 at 14:51 | show 5 more comments Your Answer draft saved draft discarded Sign up or
  3. Click Here to join Tek-Tips and talk with other members!

I consider this behavior completely broken Attach:sad_smiley.gifΔ but there is nothing in my power to change that. With coreutils, I bet most of the commands will work. Package tabu: changing row color changes spacing? Let's try using --relocate: $ rpm --root /home/prl2/toolbox -Uv coreutils*rpm --nodeps --relocate /opt=/home/prl2/toolbox path /opt is not relocateable for package coreutils-5.0-1 The package is not relocatable.

Not only is the rpm file permissions owned by root but the directories where it will be placed are owned and controlled by root. Last edited by gaugeta; 01-13-2013 at 10:42 AM. TB0ne View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by TB0ne 01-13-2013, 01:05 PM #3 gaugeta LQ Newbie Registered: Jan 2013 Posts: http://www.perzl.org/aix/index.php?n=FAQs.FAQs From: David Clissold - 2004-10-21 01:20:56 Phil, This isn't going to be perfect for you, but I think it will at least get you what you want, which is making

yes ... I understand that I can withdraw my consent at any time. That said, if you just killed the terminal window, the process may be hung. The packages are not relocatable, and many of them have dependencies on libraries where it will look explicitly in /opt/freeware/lib and stuff like that, but in the case of coreutils I

All Rights Reserved. https://www.ibm.com/developerworks/community/forums/thread.jspa?messageID=14623238 Re: [tbox-l] non-privileged user installs? I am getting an error message that a dependent module /opt/freeware/lib/libintl.a(libintl.so.8) could not be loaded In this case you are still using an old version of the program/package that is producing Or can you point me to some other resource?

I'm not sysadmin on the box in question, and simply want the convenience of GNU coreutils, etc. weblink From: Phil Lawrence - 2004-10-21 05:20:13 On Oct 20, 2004, at 18:20, David Clissold wrote: > Phil, > > This isn't going to be perfect for you, but I think Shahnaz. Remove advertisements Sponsored Links shahnazurs View Public Profile Find all posts by shahnazurs #2 10-10-2011 rbatte1 Moderator Join Date: Jun 2007 Last Activity: If these packages did not come from the AIX Toolbox for Linux Applications, it may be necessary to reinstall them.

Please don't fill out this field. But there is an option "--badreloc" which says to relocate files even though the package doesn't allow it. The easiest way to download the files contained in a RPM dependency list would be using wget. http://optimisersonpc.com/error-cannot/error-cannot-open-ttmenu-dat.html This is what I got from the docs "Configuration mode is used to maintain and recover the system.

When support is enabled (requires GNU libidn and GNU libiconv), links with non-ASCII bytes are translated from their source encoding to UTF-8 before percent-encoding. Topic Forum Directory >‎ dW >‎ AIX and UNIX >‎ Forum: AIX Forum >‎ Topic: Install software on AIX with Trusted AIX option No replies Display:ConversationsBy Date 1-1 of 1 Previous etc.

Remove advertisements Sponsored Links aix-guy View Public Profile Find all posts by aix-guy #5 10-10-2011 pludi Cat herder Join Date: Dec 2008 Last Activity: 28 March 2014,

Two-headed version of \Rightarrow or \implies How safe is 48V DC? By joining our community you will have the ability to post topics, receive our newsletter, use the advanced search, subscribe to threads and access many other special features. Have you tried with rpm-4.2? The packages are not relocatable, and many of them have dependencies on libraries where it will look explicitly in /opt/freeware/lib and stuff like that, but in the case of coreutils I

Introduction to Linux - A Hands on Guide This guide was created as an overview of the Linux Operating System, geared toward new users as an exploration tour and getting started Starting with version 1.12 GNU wget added support for Internationalized Resource Identifiers (IRIs, RFC 3987). So you end up circling through all your RPM files and downloading all prerequisite RPM files just to install aaa.rpm. http://optimisersonpc.com/error-cannot/error-cannot-open-crt0-o.html I have seen an option like prefix ...

This command should probably help: # ps aux | egrep -i 'yum|rpm' If this command shows you some process (which it should), you should either wait for that process to exit A guy scammed me, but he gave me a bank account number & routing number. I'll include the failures because I think they are instructive. I've some, euh a lot of problemsI use sa, so and isso users/roles to do some things.I'd like to know how to install a TL or an SP ?How to install

Can you please edit the post and put it there or may be use something like pastebin and let me know –GeekRide Jan 13 '13 at 14:44 1 Also, to Unfortunately, I have so far found no way of compiling and providing YUM for AIX that could be done in a compatible manner (to the IBM provided RPM) as AIX still If there's one present, kill it. 1 members found this post helpful. Therefore, if you get the following error message ... 0509-150 Dependent module /opt/freeware/lib/libintl.a(libintl.so.8) could not be loaded. 0509-152 Member libintl.so.8 is not found in archive ...

Those are the required steps (in the example I use AIX 6.1 and please note that the exact version numbers might vary): Download httpd-2.4.3-1.aix5.1.ppc.deps and mod_php_ap24-5.4.6-1.aix5.1.ppc.deps from ftp://www.oss4aix.org/rpmdb/deplists/aix61 Then combine those Requires: rpm >= 4.2 will take care of most of the problems. 73 de Jeff -- Jeff Johnson ARS N3NPQ [email protected] ([email protected]) Chapel Hill, NC References: cannot get exclusive lock From: RE: How to administer an AIX with Trusted AIX chgwhat (MIS) 6 Jun 11 21:32 You will not find best practice for Trusted AIX, as there is only one supported and and if you can't give the feedback, please don't vote –GeekRide Jan 13 '13 at 14:44 I have updated the question and posted the result. –gautam vegeta Jan 13

Why there are no approximation algorithms for SAT and other decision problems? Try that: $ rpm --root /home/prl2/toolbox -Uv coreutils*rpm --nodeps --badreloc /opt=/home/prl2/toolbox coreutils-5.0-1 unpacking of archive failed on file /usr/bin/dir: cpio: symlink failed - Permission denied That error is only because it Drawing a torso with a head (using \draw) Do I need to provide a round-trip ticket in check-in? Web Sites: Disneyland vs Disney World in the United States more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact

Compatibility issue with the original AIX Toolbox for Linux Applications Please note: While I strive to keep my RPM packages 100%-compatible with the RPM packages of the AIX Toolbox for Linux Someone is actually attempting what I call a "package bundle", i.e. Phil Lawrence SourceForge About Site Status @sfnet_ops Powered by Apache Alluraâ„¢ Find and Develop Software Create a Project Software Directory Top Downloaded Projects Community Blog @sourceforge Resources Help Site Documentation Support After downloading all the RPM packages on the list you can just install the RPM file aaa.rpm as easy as rpm -Uvh *.rpm This approach mimics kind of the AIX NIM

Search Forums Show Threads Show Posts Tag Search Advanced Search Unanswered Threads Find All Thanked Posts Go to Page... learn linux and unix commands - unix shell scripting Unable rs6000-ibm-aix checking host system type... When the system is booted in single-user mode, the system is minimally configured and networking is disabled. Worked perfectly.

Back to Top